Module | Tk::Tcllib::Style
In: | tk/lib/tkextlib/tcllib/style.rb

### Methods

names names not_available package_name package_version use use

### Constants

PACKAGE_NAME | = | 'style'.freeze

### Public Class methods

names()

[Source]

    # File tk/lib/tkextlib/tcllib/style.rb, line 31
        def self.names
          Tk::Tcllib::Style.not_available
        end

names()

[Source]

    # File tk/lib/tkextlib/tcllib/style.rb, line 53
        def self.names
          tk_split_simplelist(tk_call('style::names'))
        end

not_available()

[Source]

    # File tk/lib/tkextlib/tcllib/style.rb, line 27
        def self.not_available
          fail RuntimeError, "'tkextlib/tcllib/style' extension is not available on your current environment."
        end

package_name()

[Source]

    # File tk/lib/tkextlib/tcllib/style.rb, line 15
        def self.package_name
          PACKAGE_NAME
        end

package_version()

[Source]

    # File tk/lib/tkextlib/tcllib/style.rb, line 19
        def self.package_version
          begin
            TkPackage.require('style')
          rescue
            ''
          end
        end

use(style)

[Source]

    # File tk/lib/tkextlib/tcllib/style.rb, line 35
        def self.use(style)
          Tk::Tcllib::Style.not_available
        end

use(style)

[Source]

    # File tk/lib/tkextlib/tcllib/style.rb, line 57
        def self.use(style)
          tk_call('style::use', style)
        end

[Validate]